
%define oname kactivities-stats


%define kf5activities_major 5
%define libkf5activities-stats %mklibname kf5activities-stats %{kf5activities_major}
%define kf5activities_devel_stats %mklibname kf5activities-stats -d

Summary:        KDE Frameworks 5 Tier 3 library to organize the user work in separate activity
Name:           kactivities5-stats
Version: 		5.44.0
Release:        %mkrel 1
License:        GPLv2+
Group:          Graphical desktop/KDE5
Source0:        http://fr2.rpmfind.net/linux/KDE/unstable/framework/%{oname}-%{version}.tar.xz
URL:            https://www.kde.org/
#general buildrequires
#------------------------------------------------------
BuildRequires: %{_lib}qt5base5-devel
BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5dbus-devel
BuildRequires: %{_lib}qt5gui-devel
BuildRequires: %{_lib}qt5help-devel
BuildRequires: %{_lib}qt5imageformats-devel
BuildRequires: %{_lib}qt5network-devel
BuildRequires: %{_lib}qt5qml-devel
BuildRequires: %{_lib}qt5quick-devel
BuildRequires: %{_lib}qt5bluetooth-devel
BuildRequires: %{_lib}qt5bootstrap-devel
BuildRequires: %{_lib}qt5clucene-devel
BuildRequires: %{_lib}qt5concurrent-devel
BuildRequires: %{_lib}qt5designer-devel
BuildRequires: %{_lib}qt5egldeviceintegration-devel
BuildRequires: %{_lib}qt5labstemplates-devel
BuildRequires: %{_lib}qt5location-devel
BuildRequires: %{_lib}qt5multimedia-devel
BuildRequires: %{_lib}qt5multimediaquick_p-devel
BuildRequires: %{_lib}qt5multimediawidgets-devel
BuildRequires: %{_lib}qt5nfc-devel
BuildRequires: %{_lib}qt5opengl-devel
BuildRequires: %{_lib}qt5platformsupport-devel
BuildRequires: %{_lib}qt5positioning-devel
BuildRequires: %{_lib}qt5printsupport-devel
BuildRequires: %{_lib}qt5qgsttools_p-devel
BuildRequires: %{_lib}qt5quickparticles-devel
BuildRequires: %{_lib}qt5quicktest-devel
BuildRequires: %{_lib}qt5quickwidgets-devel
BuildRequires: %{_lib}qt5script-devel
BuildRequires: %{_lib}qt5scripttools-devel
BuildRequires: %{_lib}qt5sensors-devel
BuildRequires: %{_lib}qt5serialport-devel
BuildRequires: %{_lib}qt5sql-devel
BuildRequires: %{_lib}qt5svg-devel
BuildRequires: %{_lib}qt5test-devel
BuildRequires: %{_lib}qt5waylandclient-devel
BuildRequires: %{_lib}qt5webchannel-devel
BuildRequires:  cmake
BuildRequires:  kf5-macros
#------------------------------------------------------
BuildRequires: %{_lib}kconfig-devel >= 5.20.0
BuildRequires: %{_lib}kcoreaddons-devel >= 5.20.0
BuildRequires: %{_lib}kio-devel >= 5.20.0
BuildRequires: %{_lib}kf5windowsystem-devel >= 5.20.0


%description
A KDE Frameworks 5 Tier 3 API for using and interacting with Activities as a
consumer, application adding information to them or as an activity manager.

%files 
%_kf5_libdir/libKF5ActivitiesStats.so.1
#--------------------------------------------------------------------
%_kf5_libdir/libKF5ActivitiesStats.so.%{kf5activities_major}*
#--------------------------------------------------------------------

%package -n %kf5activities_devel_stats

Summary:        Devel stuff for %name
Group:          Development/Libraries
Requires:       %name = %version
Provides:       %name-devel = %{version}
Provides:		devel(libKF5ActivitiesStats(64bit))

%description -n %kf5activities_devel_stats
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5activities_devel_stats

%_kf5_includedir
%_kf5_libdir/cmake
%_kf5_libdir/libKF5ActivitiesStats.so
%_libdir/pkgconfig/libKActivitiesStats.pc
%_qt5_prefix/mkspecs/modules/qt_KActivitiesStats.pri

#--------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}

%build
%cmake_kf5
%make

%install
rm -rf %buildroot
%makeinstall_std -C build


%changelog
* Sun Mar 11 2018 bb2 <bb2> - 5.44.0-1pclos2018
- new version

* Mon Feb 12 2018 bb2 <bb2> - 5.43.0-1pclos2018
- new version

* Mon Jan 15 2018 bb2 <bb2> - 5.42.0-1pclos2018
- new version

* Sun Dec 10 2017 bb2 <bb2> - 5.41.0-1pclos2017
- new version

* Sat Dec 09 2017 bb2 <bb2> - 5.40.0-2pclos2017
- rebuild against updates

* Sat Nov 11 2017 bb2 <bb2> - 5.40.0-1pclos2017
- new version

* Sat Oct 14 2017 bb2 <bb2> - 5.39.0-1pclos2017
- new version

* Sat Oct 07 2017 bb2 <bb2> - 5.38.0-1pclos2017
- new version

* Sun Aug 13 2017 bb2 <bb2> - 5.37.0-1pclos2017
- new version

* Sat Jul 08 2017 bb2 <bb2> - 5.36.0-1pclos2017
- new version

* Sat Jun 10 2017 bb2 <bb2> - 5.35.0-1pclos2017
- new version

* Sun May 14 2017 bb2 <bb2> - 5.34.0-1pclos2017
- new version

* Sun Apr 09 2017 bb2 <bb2> - 5.33.0-1pclos2017
- new version

* Fri Mar 10 2017 bb2 <bb2> - 5.32.0-1pclos2017
- new version

* Sun Feb 12 2017 tex - 5.31.0-1pclos2017
- new version

* Mon Jan 16 2017 bb <bb> - 5.30.0-1pclos2017
- new version

* Mon Dec 12 2016 bb <bb> 5.29.0-1pclos2017
- update
